Subject: Re: cygiwn newline character
From: Wayne Willcox <[email-masked]>
To: Jeffrey Jopling <[email-masked]>
Cc: hrishy <[email-masked]>, Corinna Vinschen <[email-masked]>
Date: Thu, 18 Oct 2001 15:14:48 -0500

This will only work correctly on Cygwin and FreeBSD (maybe others)
on AIX this will produce:
-e hello world   hi there

you do have the tab but you don't really want the -e.
Just thoughts on portability.

On Thu, Oct 18, 2001 at 01:13:11PM -0400, Jeffrey Jopling wrote:
> >i am running the following programme under windows 
> >#!/bin/sh
> >echo hello world '\t' hi there
> 
> Try:
> 
> #!/bin/sh
> echo -e 'hello world \t hi there'
> 
> Jeff
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Slowly and surely the unix crept up on the Nintendo user ...
Wayne Willcox                          I will not eat green eggs and ham
[email-masked]                     I will not eat them Sam I Am!!
A wise person makes his own decisions, a weak one obeys public opinion.
                -- Chinese proverb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/